[Lenovo ThinkPad W530] Regression: cannot set up 3 display configuration any more (Optimus)

Bug #1556459 reported by Paul Ortyl on 2016-03-12
42
This bug affects 6 people
Affects Status Importance Assigned to Milestone
xorg-server (Ubuntu)
Medium
Unassigned

Bug Description

I cannot set up the third monitor any more (it was working beginning of March 2016 with Ubuntu 16.04).

The configuration with NVIDIA Optimus starts with builtin display (of Thinkpad W530) and one of (3K) monitors, the second monitor is detected, but not used.

The unity configuration tool shows me two message boxes:

"The selected configuration for displays could not be applied
could not set the configuration for CRTC 64"

and

"Failed to apply configuration: %s

GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._gsd_2drr_2derror_2dquark.Code2: could not set the configuration for CRTC 64
"

The first one I have seen at boot time on login screen (with 3 displays) previously, the second one is new.

The third monitor works if Optimus gets disabled in BIOS and the machine runs with Nvidia only

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: xorg 1:7.7+13ubuntu3
ProcVersionSignature: Ubuntu 4.4.0-12.28-generic 4.4.4
Uname: Linux 4.4.0-12-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.20-0ubuntu3
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Sat Mar 12 18:44:54 2016
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 5.0.16, 4.4.0-10-generic, x86_64: installed
 virtualbox, 5.0.16, 4.4.0-11-generic, x86_64: installed
 virtualbox, 5.0.16, 4.4.0-12-generic, x86_64: installed
EcryptfsInUse: Yes
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Lenovo 3rd Gen Core processor Graphics Controller [17aa:21f5]
 NVIDIA Corporation GK107GLM [Quadro K2000M] [10de:0ffb] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Lenovo GK107GLM [Quadro K2000M] [17aa:21f5]
InstallationDate: Installed on 2016-02-25 (15 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160225)
MachineType: LENOVO 2447MU0
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-12-generic root=UUID=c01ceec8-4b0c-447f-af8f-3e9c4ae90e15 ro rootflags=subvol=@ quiet splash
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/18/2015
dmi.bios.vendor: LENOVO
dmi.bios.version: G5ETA3WW (2.63 )
dmi.board.asset.tag: Not Available
dmi.board.name: 2447MU0
dmi.board.vendor: LENOVO
dmi.board.version: 0B98401 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrG5ETA3WW(2.63):bd09/18/2015:svnLENOVO:pn2447MU0:pvrThinkPadW530:rvnLENOVO:rn2447MU0:rvr0B98401WIN:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 2447MU0
dmi.product.version: ThinkPad W530
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.12.2+16.04.20160209-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.1.2-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.1.2-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.18.1-1ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.6.1-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160218-1ubuntu3
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2
xserver.bootTime: Sat Mar 12 18:30:45 2016
xserver.configfile: default
xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.18.1-1ubuntu4

Paul Ortyl (ortylp) wrote :
Paul Ortyl (ortylp) wrote :

Seems to be similar to https://bugs.launchpad.net/ubuntu/+source/unity-control-center/+bug/1304627
but this one is regression, it worked already.

Paul Ortyl, thank you for reporting this and helping make Ubuntu better.

Could you please advise which package you updated, that afterwards this issue began?

tags: added: latest-bios-2.64
tags: added: latest-bios-2.63
removed: latest-bios-2.64
Changed in xorg (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
tags: added: regression-release
ligi (ligi) wrote :

I can confirm this bug - had a 3-Monitor setup working with a T520 and NVidia optimus on Ubuntu 16.04 - after some update ( unfortunately I cannot track down the specific one ) - I am getting this error

ligi, it will help immensely if you filed a new report with Ubuntu by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

summary: - Regression: cannot set up 3 display configuration any more (Optimus)
+ [Lenovo ThinkPad W530] Regression: cannot set up 3 display configuration
+ any more (Optimus)
Paul Ortyl (ortylp) wrote :
Download full text (7.8 KiB)

I cannot give the exact update, but it must be one of these two:

Start-Date: 2016-03-06 23:09:35
Commandline: apt dist-upgrade
Requested-By: ortyl (1000)
Install: linux-headers-4.4.0-10-generic:amd64 (4.4.0-10.25, automatic), linux-headers-4.4.0-10:amd64 (4.4.0-10.25, automatic), linux-image-4.4.0-10-generic:am
d64 (4.4.0-10.25, automatic), linux-image-extra-4.4.0-10-generic:amd64 (4.4.0-10.25, automatic)
Upgrade: uuid-runtime:amd64 (2.27.1-3ubuntu1, 2.27.1-4ubuntu1), linux-headers-generic:amd64 (4.4.0.9.10, 4.4.0.10.11), libfdisk1:amd64 (2.27.1-3ubuntu1, 2.27.
1-4ubuntu1), linux-libc-dev:amd64 (4.4.0-9.24, 4.4.0-10.25), linux-image-generic:amd64 (4.4.0.9.10, 4.4.0.10.11), libmount1:amd64 (2.27.1-3ubuntu1, 2.27.1-4ub
untu1), util-linux:amd64 (2.27.1-3ubuntu1, 2.27.1-4ubuntu1), mount:amd64 (2.27.1-3ubuntu1, 2.27.1-4ubuntu1), libblkid1:amd64 (2.27.1-3ubuntu1, 2.27.1-4ubuntu1
), webapp-container:amd64 (0.23+16.04.20160223-0ubuntu1, 0.23+16.04.20160303-0ubuntu1), qtdeclarative5-ubuntu-web-plugin:amd64 (0.23+16.04.20160223-0ubuntu1,
0.23+16.04.20160303-0ubuntu1), firefox-locale-de:amd64 (44.0.2+build1-0ubuntu1, 45.0+build2-0ubuntu1), firefox-locale-en:amd64 (44.0.2+build1-0ubuntu1, 45.0+b
uild2-0ubuntu1), libuuid1:amd64 (2.27.1-3ubuntu1, 2.27.1-4ubuntu1), libuuid1:i386 (2.27.1-3ubuntu1, 2.27.1-4ubuntu1), firefox-locale-pl:amd64 (44.0.2+build1-0
ubuntu1, 45.0+build2-0ubuntu1), libsmartcols1:amd64 (2.27.1-3ubuntu1, 2.27.1-4ubuntu1), bsdutils:amd64 (2.27.1-3ubuntu1, 2.27.1-4ubuntu1), firefox:amd64 (44.0
.2+build1-0ubuntu1, 45.0+build2-0ubuntu1), webbrowser-app:amd64 (0.23+16.04.20160223-0ubuntu1, 0.23+16.04.20160303-0ubuntu1), linux-generic:amd64 (4.4.0.9.10,
 4.4.0.10.11)
End-Date: 2016-03-06 23:12:51

Start-Date: 2016-03-08 21:50:53
Commandline: apt dist-upgrade
Requested-By: ortyl (1000)
Install: linux-headers-4.4.0-11:amd64 (4.4.0-11.26, automatic), linux-image-4.4.0-11-generic:amd64 (4.4.0-11.26, automatic), linux-image-extra-4.4.0-11-generi
c:amd64 (4.4.0-11.26, automatic), linux-headers-4.4.0-11-generic:amd64 (4.4.0-11.26, automatic)
Upgrade: hunspell-en-us:amd64 (20070829-6ubuntu2, 20070829-6ubuntu3), xserver-xorg-input-synaptics:amd64 (1.8.2-1ubuntu2, 1.8.2-1ubuntu3), gnome-calendar:amd6
4 (3.19.91-0ubuntu1, 3.19.91-0ubuntu2), xserver-xorg-video-qxl:amd64 (0.1.4-3ubuntu2, 0.1.4-3ubuntu3), python3-cupshelpers:amd64 (1.5.7+20160212-0ubuntu1, 1.5
.7+20160212-0ubuntu2), xserver-xorg-video-vesa:amd64 (2.3.4-1build1, 2.3.4-1build2), libkf5idletime5:amd64 (5.15.0-0ubuntu2, 5.18.0-0ubuntu1), libkf5attica5:a
md64 (5.15.0-0ubuntu2, 5.18.0-0ubuntu1), libimage-magick-perl:amd64 (6.8.9.9-7ubuntu1, 6.8.9.9-7ubuntu2), language-pack-gnome-de:amd64 (16.04+20160228, 16.04+
20160306), language-pack-gnome-en:amd64 (16.04+20160228, 16.04+20160306), language-pack-gnome-pl:amd64 (16.04+20160228, 16.04+20160306), xserver-xorg-video-no
uveau:amd64 (1.0.12-1build1, 1.0.12-1build2), linux-headers-generic:amd64 (4.4.0.10.11, 4.4.0.11.12), libqt5test5:amd64 (5.5.1+dfsg-14ubuntu3, 5.5.1+dfsg-15ub
untu1), xserver-xorg-video-amdgpu:amd64 (1.0.1-1build1, 1.0.1-1build2), libkf5itemviews5:amd64 (5.15.0-0ubuntu2, 5.18.0-0ubuntu1), linux-libc-dev:amd64 (4.4.0
-10.25, 4.4.0-...

Read more...

Paul Ortyl (ortylp) wrote :

After 8.03.2016 I do not see any "inteldrm" in my kernel logs, as I had to switch to pure Nvidia in BIOS to get all three displays working.

Do you need any other info/logs?

Paul Ortyl, in order to eliminate the kernel as the root cause, could you please boot into 4.4.0-9 and advise if this issue is reproducible?

Paul Ortyl (ortylp) wrote :

I do not have 4.4.0-9 on my filesystem any more and the corresponding packages are not available through apt either :( (they are on the list, but apt refuses to retrieve them)

Paul Ortyl, instructions to install prior kernels are available at https://wiki.ubuntu.com/Kernel/KernelBisection#Bisecting_Ubuntu_kernel_versions .

Paul Ortyl (ortylp) wrote :

I have manually installed
linux-headers-4.4.0-9-generic_4.4.0-9.24_amd64.deb
linux-image-4.4.0-9-generic_4.4.0-9.24_amd64.deb
linux-image-extra-4.4.0-9-generic_4.4.0-9.24_amd64.deb

and booted into 4.4.0-9 kernel.

Unfortunately the misbehaviour was still there. so it is possible the kernel is not the problem here.

Which binaries for the xorg should I try?

Paul Ortyl, unfortunately, testing prior xorg versions tends not to be as clean. Despite this, given you have tested release, let this be marked Triaged for now.

Changed in xorg (Ubuntu):
status: Incomplete → Triaged
Max Waterman (b-ubuntuone) wrote :

I just upgraded from 15.10 to 16.04. I was using a 3 monitor configuration with no problem, but after the upgrade's reboot, it came up with all three monitors mirrored. Attempting to use the System Settings/Screen Display shows the 'Mirror displays' box checked.

Attempting to change the configuration shows that the monitors have been detected correctly and I can select their size/etc. Unfortunately, clicking 'Apply' results in the error :

"Failed to apply configuration: %s

GCBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such
interface 'org.gnome.SettingsDaemon.XRANDR_2' on object at path /org/
gnome/SettingsDaemon/XRANDR"

It's a pretty disappointing upgrade, tbh.

Max Waterman (b-ubuntuone) wrote :

Can this bug get some attention? It's really debilitating not being able to use the two big monitors I have and to be restricted to the built-in one.

Max Waterman (b-ubuntuone) wrote :
Jonathan Mugan (jmugan) wrote :

I think I have the same issue on a new install. I try to turn off mirroring and get

GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._gsd_2drr_2derror_2dquark.Code2: could not set the configuration for CRTC 64

Also affected on Dell 16.04 64bit Nvidia Optimus dmidecode attached

GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._gsd_2drr_2derror_2dquark.Code2

Bernhard Zürn, it will help immensely if you filed a new report with Ubuntu by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Arthur Fabre (arthur-b) wrote :

I am experiencing the same issue, using a Thinkpad W520, on 16.04.
Two external monitors are connected via DVI.
On boot, all three monitors are mirrored, and correctly show the Ubuntu log.
After logging in, I get the same error messages:

The selected configuration for displays could not be applied
could not set the configuration for CRTC 64

and

GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._gsd_2drr_2derror_2dquark.Code2: could not set the configuration for CRTC 64

One of the monitors is disabled. If I enable it using the Unity Settings app, the same error message show up. Tailing -f /var/log/Xorg.0.log while enabling the monitor reveals:

[ 451.532] (II) intel(0): resizing framebuffer to 5440x1672
[ 451.582] Cannot do multiple crtcs without X server dirty tracking 2 interface
[ 451.582] randr: failed to set shadow slave pixmap
[ 451.582] (EE) NOUVEAU(G0): failed to set mode: No space left on device

This appears to be the same bug as #1597437. It also seems to have been resolved in Fedora: https://bugzilla.redhat.com/show_bug.cgi?id=1307204.

Same problem as arthur-b described here. I am on Lenovo Thinkpad T540p and I cannot use external monitor after one of recent updates.

Arthur Fabre (arthur-b) wrote :

Using a more recent version of xserver-xorg-video-nouveau through Oibaf's "Updated and Optimized Open Graphics Drivers" PPA (https://launchpad.net/~oibaf/+archive/ubuntu/graphics-drivers) resolves the issue for me - all three screens are working properly!

Michal Moravcik, it will help immensely if you filed a new report with Ubuntu by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Anoop Toffy (anoop-toffy90) wrote :

I am also facing the same issue. Asus K555L.
I cann't extend my display after recent update.

Paul Ortyl, to see if this is already resolved in Ubuntu, could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

Changed in xorg (Ubuntu):
status: Triaged → Incomplete
Paul Ortyl (ortylp) wrote :

Hi Christopher,

I am sorry for the delay, seems like I did not read my email for over two weeks...

I have just tested with "Ubuntu 16.10 "Yakkety Yak" - Alpha amd64 (20161008)". No changes and exactly the same dialogs as described in the original report.

I have also updated the desktop to 16.10 (alpha), no improvement either.

Let me know how how can I help further. This regression is really annoying... I have to go through grub and BIOS settings each time I am taking the notebook off the docking station.

As a workaround I had to disable optimus in BIOS. That also requires putting the following line into /etc/default/grub
GRUB_CMDLINE_LINUX_DEFAULT="thinkpad-acpi.brightness_enable=1 acpi_backlight=vendor"
Otherwise the machine hangs at boot in kernel. These kernel parameters need to be removed each time I switch BIOS to internal graphics in order to get reasonable battery life.

ligi (ligi) wrote :

Just updated from 16.04 to 16.10 in the silent hope it fixes this problem - unfortunately it got worse: https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1633227

Since a few wweks I am using the Nouveau (OpenSource) NVIDIA driver on 16.04. without those problems. Seems to be only soultion right now.

Timo Aaltonen (tjaalton) wrote :

the regression is probably caused by the newer xserver (1.17.x -> 1.18.x)

this is worth filing upstream, and letting nvidia know about it

affects: xorg (Ubuntu) → xorg-server (Ubuntu)
ligi (ligi) wrote :

I am using the Nouveau (OpenSource) NVIDIA driver and still face the problem. Also updated to the latest T520 bios ( as recommended in another issue in this direction ) - really frustrating - I think I will have to try another distro or go back to ubuntu 15 :-(

Paul Ortyl (ortylp) wrote :

It looks like with 17.04 it should be better. At least all three screens (Optimus in BIOS is on) are working again (as of 2017.03.28).

xrandr | grep " connec"
LVDS-1 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 344mm x 193mm
DP-1-2 connected 2560x1440+1920+0 597mm x 336mm
DP-1-3 connected 2560x1440+4480+0 597mm x 336mm

The only problem I could see within a few minutes of testing, is that on the primary screen the mouse cursor flickers. Fortunately in this setup it is not an issue for me.

Can please everybody test if this issue is really "fixed" for all of us ("This bug affects you and 5 other people")?
Should we close this issue then?
What actions are still required (incl. crossreporting to other/upstream bugzillas)?
Is this flickering on primary screen worth its own bugzilla entry?

Paul Ortyl (ortylp) wrote :

Update: WARNING: The notebook switches off after a half an hour use. Power management problem?
After three hard poweroffs/reboots I switched back to Nvidia setting in BIOS (Optimus off).

Nastooh (navesta) wrote :

Got this working, based on the comments above (Thank you all), using the following steps:
1- Disable PRIME in BIOS
2- Select Discrete Graphics in BIOS
3- Update /etc/default/grub to include
GRUB_CMDLINE_LINUX_DEFAULT="thinkpad-acpi.brightness_enable=1 acpi_backlight=vendor"
4- update-grub
5- apt-get remove --purge "nvidia*"
6- Add https://launchpad.net/~oibaf/+archive/ubuntu/graphics-drivers PPA
7- apt update && apt -y upgrade
8- Select Nouveau as display driver, under Software & Updates, Additional Drivers tab

After reboot, I am able to use LVDS, VGA and DVI. The only snag is that contrast cannot be controlled via keyboard, due to Step 3, above. As a work around, I do:
echo x | sudo tee /sys/class/backlight/nv_backlight/brightness, where x is between 0 to cat /sys/class/backlight/nv_backlight/max_brightness.
So far, it has been a very good experience, with glxgear showing 60 fps and fan running quieter. Cheers,

Paul Ortyl, I am closing this report because as per
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1556459/comments/31 the bug has been fixed in the latest development version of Ubuntu.

Changed in xorg-server (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.